package employees.controller
{
	import org.puremvc.as3.multicore.patterns.command.SimpleCommand;
	import org.puremvc.as3.multicore.interfaces.INotification;
	
	import employees.model.LoadEmployeesProxy;
	import employees.view.EmployeesDataGridMediator;
	
	public class StartupCommand extends SimpleCommand
	{
		override public function execute(note:INotification):void {
			facade.registerProxy(new LoadEmployeesProxy());
			
			var app:sampleApp = note.getBody() as sampleApp;
			facade.registerMediator(new EmployeesDataGridMediator(app.employeesDataGrid));
		}
	}
}