package employees.controller
{
	import org.puremvc.as3.multicore.patterns.command.SimpleCommand;
	import org.puremvc.as3.multicore.interfaces.INotification;
	
	import employees.model.LoadEmployeesProxy;
	
	public class LoadEmployeesCommand extends SimpleCommand
	{
		override public function execute(note:INotification):void {
			var loadEmployeesProxy:LoadEmployeesProxy =
				facade.retrieveProxy(LoadEmployeesProxy.NAME) as LoadEmployeesProxy;
			loadEmployeesProxy.load();
		}
	}
}
